<h2>{{ "Common.Maps.MapHistory" | translate }}</h2>
<app-map-core [updateRegionsEvent]="updateRegionsEvent" circleRadius="10" [midPoint]="{ x: 7, y: 7 }"></app-map-core>

<div nz-row nzGutter="12" style="margin-top: 20px">
  <div nz-col nzSpan="5">
    <div style="text-align: center">
      {{ "Common.AutoPlay" | translate }}:
      <button nz-button nzShape="round" nzType="primary" nzShape="round" *ngIf="autoPlayOn === false" (click)="startAutoPlay()">
        <i class="far fa-play-circle"></i>
      </button>
      <button nz-button nzShape="round" nzType="primary" nzShape="round" *ngIf="autoPlayOn === true" (click)="pauseAutoPlay()">
        <i class="far fa-pause-circle"></i>
      </button>
    </div>

    <nz-steps [nzCurrent]="currentDateStep" nzProgressDot nzDirection="vertical">
      <nz-step *ngFor="let item of list" [nzTitle]="item.date" (click)="selectDate(item.date, true)"></nz-step>
    </nz-steps>
  </div>
  <div nz-col nzSpan="16">
    <h3 *ngIf="actions.length === 0">{{ "Common.Entries.NothingHappened" | translate }}...</h3>
    <nz-timeline *ngIf="actions.length > 0">
      <nz-timeline-item [nzColor]="getActionColor(item.action)" *ngFor="let item of actions">
        [{{ item.createdOn.replace('T', ' ').split('.')[0] }}]
        <span *ngIf="item.action === 'CREATE_COUNTRY'">{{ "Common.Entries.NewCountryCreated" | translate }}</span>
        <span *ngIf="item.action === 'BATTLE_STARTED'">{{ "Common.Entries.NewBattleStarted" | translate }}</span>
        <span *ngIf="item.action === 'BATTLE_ENDED'">{{ "Common.Entries.BattleHasEnded" | translate }}:
          {{ item.countryName }}</span>
      </nz-timeline-item>
    </nz-timeline>
  </div>
</div>
